## maemo-scrobbler 1.0-1

=== debian/changelog ===
maemo-scrobbler (1.0-1) fremantle; urgency=low

  * Initial release

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sun, 30 May 2010 19:11:14 +0300

## maemo-scrobbler 1.0-2

=== debian/changelog ===
maemo-scrobbler (1.0-2) fremantle; urgency=low

  * Clear metadata appropriately
  * Improve exit path

 -- Felipe Contreras <felipe.contreras@gmail.com>  Mon, 31 May 2010 01:12:33 +0300

## maemo-scrobbler 1.0-3

=== Makefile ===
CC := gcc

EXTRA_WARNINGS = -Wextra -Wno-unused-parameter

CFLAGS := -ggdb -Wall -std=c99 $(EXTRA_WARNINGS)

override CFLAGS += -D_XOPEN_SOURCE=500

GLIB_CFLAGS := $(shell pkg-config --cflags glib-2.0)
GLIB_LIBS := $(shell pkg-config --libs glib-2.0)

SOUP_CFLAGS := $(shell pkg-config --cflags libsoup-2.4)
SOUP_LIBS := $(shell pkg-config --libs libsoup-2.4)

GTHREAD_CFLAGS := $(shell pkg-config --cflags gthread-2.0)
GTHREAD_LIBS := $(shell pkg-config --libs gthread-2.0)

MAFW_CFLAGS := $(shell pkg-config --cflags mafw-shared mafw)
MAFW_LIBS := $(shell pkg-config --libs mafw-shared mafw)

HILDON_CFLAGS := $(shell pkg-config --cflags hildon-1 hildon-control-panel)
HILDON_LIBS := $(shell pkg-config --libs hildon-1 hildon-control-panel)

OSSO_CFLAGS := $(shell pkg-config --cflags libosso)
OSSO_LIBS := $(shell pkg-config --libs libosso)

SCROBBLE_LIBS := $(SOUP_LIBS)

all:

libscrobble.a: scrobble.o
libscrobble.a: override CFLAGS += $(GLIB_CFLAGS) $(SOUP_CFLAGS)

maemo-scrobbler: main.o libscrobble.a
maemo-scrobbler: override CFLAGS += $(GLIB_CFLAGS) $(GTHREAD_CFLAGS) $(MAFW_CFLAGS)
maemo-scrobbler: override LIBS += $(GLIB_LIBS) $(GTHREAD_LIBS) $(MAFW_LIBS) $(SCROBBLE_LIBS)
bins += maemo-scrobbler

libcp-scrobbler.so: control_panel.o
libcp-scrobbler.so: override CFLAGS += $(HILDON_CFLAGS) $(OSSO_CFLAGS)
libcp-scrobbler.so: override LIBS += $(HILDON_LIBS) $(OSSO_LIBS)
libs += libcp-scrobbler.so

all: libscrobble.a $(bins) $(libs)

D = $(DESTDIR)

# pretty print
ifndef V
QUIET_CC    = @echo '   CC         '$@;
QUIET_LINK  = @echo '   LINK       '$@;
QUIET_CLEAN = @echo '   CLEAN      '$@;
endif

install: $(bins) $(libs)
	install -m 755 maemo-scrobbler -D $(D)/usr/bin/maemo-scrobbler
	install -m 644 libcp-scrobbler.so -D \
		$(D)/usr/lib/hildon-control-panel/libcp-scrobbler.so
	install -m 644 maemo-scrobbler.desktop -D \
		$(D)/usr/share/applications/hildon-control-panel/maemo-scrobbler.desktop
	install -m 644 fm.png -D $(D)/usr/share/icons/hicolor/48x48/apps/fm.png

%.a::
	$(QUIET_LINK)$(AR) rcs $@ $^

%.so::
	$(QUIET_LINK)$(CC) $(LDFLAGS) -shared -o $@ $^ $(LIBS)

$(bins):
	$(QUIET_LINK)$(CC) $(LDFLAGS) $(LIBS) -o $@ $^

%.o:: %.c
	$(QUIET_CC)$(CC) $(CFLAGS) -MMD -o $@ -c $<

clean:
	$(QUIET_CLEAN)$(RM) *.o *.d *.a $(bins) $(libs)

-include *.d

=== debian/changelog ===
maemo-scrobbler (1.0-3) fremantle; urgency=low

  * Fix boot

 -- Felipe Contreras <felipe.contreras@gmail.com>  Mon, 31 May 2010 05:44:33 +0300

=== debian/control ===
Source: maemo-scrobbler
Section: user/multimedia
Priority: optional
Maintainer: Felipe Contreras <felipe.contreras@gmail.com>
Build-Depends: debhelper (>= 5), pkg-config, upstart-dev, libsoup2.4-dev, libglib2.0-dev, libmafw-shared0-dev, libmafw0-dev, hildon-control-panel-dev, libosso-dev, libhildon1-dev, libgtk2.0-dev
Standards-Version: 3.8.0

Package: maemo-scrobbler
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, hildon-libs-l10n-mr | hildon-libs-l10n-mr0
Description: Maemo scrobbler (last.fm + libre.fm)
 maemo-scrobbler allows to scrobble to multiple services like last.fm and
 libre.fm by listening to MAFW.
XB-Maemo-Display-Name: Maemo scrobbler
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0SU1FB9oFHgsjBcXBVjoAAAMnSURBVGje
 7ZZPiFVlGMZ/z3dntDzH0RqS3Eq1SHKRMiBJRLmJCDIobaGbRtpKmHOvYAQT3TsFIQRh6wiXQhS1
 kaiFKd4gqEUhQhhtxDCZe0drOudpcc49c3KuM5f+B99vcy/3fuf93ud7n/d7D0QikUgkEolEIpFI
 5N9Bf1WgfosTwH7DDcxZBd5MXuP0/0LAwgz7LE7+LprB4um0zan/vIBeC6tKG9kguJZ02Nhv8ZTN
 lMSUza5fA+vGzauGbZgLhlPrO3x29QjpmsAjFvcAF9I2H/4jAnpNEokegA0Se4C7PcZ76SzzvSaX
 Je4CbCNBZmgAlqocZm2OoTKhonpXZLYmHS6vtH/4kyf/POJtD05D5DabcvghnWW+3OCMB38LEA2p
 qNTgAG2OQVVFSiGTiI9Wy2GZgC480YWvzoO78M15OLLC808KDgw2tgkS7wR4v/8SmwAy0VFxwoM1
 NnwhmLNxKRwJ2Xxtk9Ws+GD/KJMjC+jCC4YPDFvLpO4D5rpwbqj/zOYihTKR6hsQ2ACwvs3ZpM3L
 NdOqcYOHkw5NxI+1cJ+mHR5AtDBL5srZPJKAczBmOKGilFpyBQBTwyrhcXbm4t6ql8SiA7ud8+wC
 fDdYd63JxkEgAdlaslL29dqtdbz8/KTaveiFDSsJGKsp2aFbN7aBvcDr9R/TWfJ+i4WBoW3ytL38
 7g8NbicrFtkQQmWdai+r6BkCgbzqAwxXR6qA4A6vcFsJ1jBc2c+1cnlIoz8UMj52/VhypvtNpoE7
 a3Y8eH2GtZh9NVFgHvUrNEYR8PmtFpVZfb9sgLWYlnmXpSYe77d4Y36Gx2pxJw3b6p7MxYuGZ4B1
 tXB7MzEmOISqnrLgrd4iyaoW2g4/deGk4bmbPGSBFuHAzQ/nZpfE47UyNQyHg0igsJJzLkmcxgSL
 BqYhcclFA2/BTBgmJG5zPjBP2XxGFjjjl1UFAPRgfwI94KBrV7Jhz064MmQKXiyHF+X0LXYPZZMC
 6RxfArv/6NuBD9HQ8aV4I0/iLtwPZDvg2xUG2UQQW/KcRCK1SGySYC4mHc7Ed+VIJBKJRCKRSCTy
 d/Ibp2MfJ2dFJIcAAAAASUVORK5CYII=


Package: maemo-scrobbler-dbg
Section: devel
Architecture: any
Depends: ${misc:Depends}, maemo-scrobbler (= ${binary:Version})
Description: Debug symbols for maemo-scrobbler

=== debian/rules ===
#!/usr/bin/make -f

build:
	dh_testdir
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installxsession -u 'post 85'
	dh_install --sourcedir=debian/tmp
	dh_strip --dbg-package=maemo-scrobbler-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify	
	dh_md5sums
	dh_builddeb

binary-indep:

binary: binary-arch binary-indep
.PHONY: build clean binary-arch binary-indep binary install

## maemo-scrobbler 1.0-4

=== Makefile ===
--- 
+++ 
@@ -18,11 +18,8 @@
 MAFW_CFLAGS := $(shell pkg-config --cflags mafw-shared mafw)
 MAFW_LIBS := $(shell pkg-config --libs mafw-shared mafw)
 
-HILDON_CFLAGS := $(shell pkg-config --cflags hildon-1 hildon-control-panel)
-HILDON_LIBS := $(shell pkg-config --libs hildon-1 hildon-control-panel)
-
-OSSO_CFLAGS := $(shell pkg-config --cflags libosso)
-OSSO_LIBS := $(shell pkg-config --libs libosso)
+HILDON_CFLAGS := $(shell pkg-config --cflags hildon-1 hildon-control-panel libosso)
+HILDON_LIBS := -lhildon-1 -lgtk-x11-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0
 
 SCROBBLE_LIBS := $(SOUP_LIBS)
 
@@ -37,8 +34,8 @@
 bins += maemo-scrobbler
 
 libcp-scrobbler.so: control_panel.o
-libcp-scrobbler.so: override CFLAGS += $(HILDON_CFLAGS) $(OSSO_CFLAGS)
-libcp-scrobbler.so: override LIBS += $(HILDON_LIBS) $(OSSO_LIBS)
+libcp-scrobbler.so: override CFLAGS += $(HILDON_CFLAGS)
+libcp-scrobbler.so: override LIBS += $(HILDON_LIBS)
 libs += libcp-scrobbler.so
 
 all: libscrobble.a $(bins) $(libs)

=== debian/changelog ===
maemo-scrobbler (1.0-4) fremantle; urgency=low

  * Trivial improvements

 -- Felipe Contreras <felipe.contreras@gmail.com>  Mon, 31 May 2010 07:00:03 +0300

## maemo-scrobbler 1.0-5

=== debian/changelog ===
maemo-scrobbler (1.0-5) fremantle; urgency=low

  * More build improvements

 -- Felipe Contreras <felipe.contreras@gmail.com>  Mon, 31 May 2010 07:31:00 +0300

## maemo-scrobbler 1.0-6

=== debian/changelog ===
maemo-scrobbler (1.0-6) fremantle; urgency=low

  * Improve deinstallation

 -- Felipe Contreras <felipe.contreras@gmail.com>  Mon, 31 May 2010 08:14:05 +0300

## maemo-scrobbler 1.0-7

=== debian/changelog ===
maemo-scrobbler (1.0-7) fremantle; urgency=high

  * Update to use real client id

 -- Felipe Contreras <felipe.contreras@gmail.com>  Thu, 03 Jun 2010 01:56:02 +0300

## maemo-scrobbler 1.0-8

=== Makefile ===
--- 
+++ 
@@ -10,13 +10,13 @@
 GLIB_LIBS := $(shell pkg-config --libs glib-2.0)
 
 SOUP_CFLAGS := $(shell pkg-config --cflags libsoup-2.4)
-SOUP_LIBS := $(shell pkg-config --libs libsoup-2.4)
+SOUP_LIBS := -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lglib-2.0
 
 GTHREAD_CFLAGS := $(shell pkg-config --cflags gthread-2.0)
-GTHREAD_LIBS := $(shell pkg-config --libs gthread-2.0)
+GTHREAD_LIBS := -lgthread-2.0 -lglib-2.0
 
 MAFW_CFLAGS := $(shell pkg-config --cflags mafw-shared mafw)
-MAFW_LIBS := $(shell pkg-config --libs mafw-shared mafw)
+MAFW_LIBS := -lmafw-shared -lmafw -lgobject-2.0 -lglib-2.0
 
 HILDON_CFLAGS := $(shell pkg-config --cflags hildon-1 hildon-control-panel libosso)
 HILDON_LIBS := -lhildon-1 -lgtk-x11-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0

=== debian/changelog ===
maemo-scrobbler (1.0-8) fremantle; urgency=low

  * Fix inst/deinst scripts; the process was not launched at installation.
  * Trivial improvment when the song queued are more than 50

 -- Felipe Contreras <felipe.contreras@gmail.com>  Fri, 04 Jun 2010 01:01:24 +0300

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Felipe Contreras <felipe.contreras@gmail.com>
 Build-Depends: debhelper (>= 5), pkg-config, upstart-dev, libsoup2.4-dev, libglib2.0-dev, libmafw-shared0-dev, libmafw0-dev, hildon-control-panel-dev, libosso-dev, libhildon1-dev, libgtk2.0-dev
 Standards-Version: 3.8.0
+XSBC-Bugtracker: http://github.com/felipec/maemo-scrobbler/issues
 
 Package: maemo-scrobbler
 Architecture: any

## maemo-scrobbler 1.1-1

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,9 @@
 HILDON_CFLAGS := $(shell pkg-config --cflags hildon-1 hildon-control-panel libosso)
 HILDON_LIBS := -lhildon-1 -lgtk-x11-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0
 
+CONIC_CFLAGS := $(shell pkg-config --cflags conic)
+CONIC_LIBS := -lconic
+
 SCROBBLE_LIBS := $(SOUP_LIBS)
 
 all:
@@ -29,8 +32,8 @@
 libscrobble.a: override CFLAGS += $(GLIB_CFLAGS) $(SOUP_CFLAGS)
 
 maemo-scrobbler: main.o libscrobble.a
-maemo-scrobbler: override CFLAGS += $(GLIB_CFLAGS) $(GTHREAD_CFLAGS) $(MAFW_CFLAGS)
-maemo-scrobbler: override LIBS += $(GLIB_LIBS) $(GTHREAD_LIBS) $(MAFW_LIBS) $(SCROBBLE_LIBS)
+maemo-scrobbler: override CFLAGS += $(GLIB_CFLAGS) $(GTHREAD_CFLAGS) $(MAFW_CFLAGS) $(CONIC_CFLAGS)
+maemo-scrobbler: override LIBS += $(GLIB_LIBS) $(GTHREAD_LIBS) $(MAFW_LIBS) $(CONIC_LIBS) $(SCROBBLE_LIBS)
 bins += maemo-scrobbler
 
 libcp-scrobbler.so: control_panel.o

=== debian/changelog ===
maemo-scrobbler (1.1-1) fremantle; urgency=low

  * Add support to detect network connections
  * Add support for Now-Playing
  * Add proxy support

 -- Felipe Contreras <felipe.contreras@gmail.com>  Fri, 04 Jun 2010 05:20:34 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/multimedia
 Priority: optional
 Maintainer: Felipe Contreras <felipe.contreras@gmail.com>
-Build-Depends: debhelper (>= 5), pkg-config, upstart-dev, libsoup2.4-dev, libglib2.0-dev, libmafw-shared0-dev, libmafw0-dev, hildon-control-panel-dev, libosso-dev, libhildon1-dev, libgtk2.0-dev
+Build-Depends: debhelper (>= 5), pkg-config, upstart-dev, libsoup2.4-dev, libglib2.0-dev, libmafw-shared0-dev, libmafw0-dev, hildon-control-panel-dev, libosso-dev, libhildon1-dev, libgtk2.0-dev, libconic0-dev
 Standards-Version: 3.8.0
 XSBC-Bugtracker: http://github.com/felipec/maemo-scrobbler/issues

## maemo-scrobbler 1.1-3

=== debian/changelog ===
maemo-scrobbler (1.1-3) fremantle; urgency=low

  * Fix some potential crashes

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sun, 11 Jul 2010 21:12:58 +0300

maemo-scrobbler (1.1-2) fremantle; urgency=low

  * Add home desktop widget
  * Add support for 'love'

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sat, 26 Jun 2010 15:24:58 +0300

## maemo-scrobbler 2.0-1

=== debian/changelog ===
maemo-scrobbler (2.0-1) fremantle; urgency=low

  * Fix some potential crashes

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sun, 11 Jul 2010 22:24:52 +0300

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Section: user/multimedia
 Priority: optional
 Maintainer: Felipe Contreras <felipe.contreras@gmail.com>
-Build-Depends: debhelper (>= 5), pkg-config, upstart-dev, libsoup2.4-dev, libglib2.0-dev, libmafw-shared0-dev, libmafw0-dev, hildon-control-panel-dev, libosso-dev, libhildon1-dev, libgtk2.0-dev, libconic0-dev
+Build-Depends: debhelper (>= 5), pkg-config, upstart-dev, libsoup2.4-dev, libglib2.0-dev, libmafw-shared0-dev, libmafw0-dev, hildon-control-panel-dev, libosso-dev, libhildon1-dev, libgtk2.0-dev, libconic0-dev, libhildondesktop1-dev
 Standards-Version: 3.8.0
 XSBC-Bugtracker: http://github.com/felipec/maemo-scrobbler/issues
 
 Package: maemo-scrobbler
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, hildon-libs-l10n-mr | hildon-libs-l10n-mr0
-Description: Maemo scrobbler (last.fm + libre.fm)
- maemo-scrobbler allows to scrobble to multiple services like last.fm and
- libre.fm by listening to MAFW.
-XB-Maemo-Display-Name: Maemo scrobbler
+Description: Scrobbler (last.fm + libre.fm)
+ Allows to scrobble to multiple services like last.fm and libre.fm by listening to MAFW.
+XB-Maemo-Display-Name: Scrobbler
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
  /wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0SU1FB9oFHgsjBcXBVjoAAAMnSURBVGje
@@ -31,6 +30,7 @@
  BqYhcclFA2/BTBgmJG5zPjBP2XxGFjjjl1UFAPRgfwI94KBrV7Jhz064MmQKXiyHF+X0LXYPZZMC
  6RxfArv/6NuBD9HQ8aV4I0/iLtwPZDvg2xUG2UQQW/KcRCK1SGySYC4mHc7Ed+VIJBKJRCKRSCTy
  d/Ibp2MfJ2dFJIcAAAAASUVORK5CYII=
+XB-Maemo-Upgrade-Description: Add support to "love" tracks.
 
 
 Package: maemo-scrobbler-dbg

## maemo-scrobbler 2.0-2

=== debian/changelog ===
maemo-scrobbler (2.0-2) fremantle; urgency=low

  * Fix crash when web service auth fails

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sat, 17 Jul 2010 23:51:11 +0300

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,8 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installxsession -u 'post 85'
+	install -m 755 -D debian/maemo-scrobbler.xsession \
+		debian/maemo-scrobbler/etc/X11/Xsession.post/85maemo-scrobbler
 	dh_install --sourcedir=debian/tmp
 	dh_strip --dbg-package=maemo-scrobbler-dbg
 	dh_compress

## maemo-scrobbler 2.0-3

=== debian/changelog ===
maemo-scrobbler (2.0-3) fremantle; urgency=low

  * Fix to monitor configuration file properly

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sun, 18 Jul 2010 04:23:46 +0300

## maemo-scrobbler 2.0-4

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 EXTRA_WARNINGS = -Wextra -Wno-unused-parameter
 
 CFLAGS := -ggdb -Wall -std=c99 $(EXTRA_WARNINGS)
+LDFLAGS := -Wl,--no-undefined
 
 override CFLAGS += -D_XOPEN_SOURCE=500
 
@@ -18,11 +19,13 @@
 MAFW_CFLAGS := $(shell pkg-config --cflags mafw-shared mafw)
 MAFW_LIBS := -lmafw-shared -lmafw -lgobject-2.0 -lglib-2.0
 
-HILDON_CFLAGS := $(shell pkg-config --cflags hildon-1 hildon-control-panel libosso)
+HILDON_CFLAGS := $(shell pkg-config --cflags hildon-1 libhildondesktop-1 hildon-control-panel libosso)
 HILDON_LIBS := -lhildon-1 -lgtk-x11-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0
 
 CONIC_CFLAGS := $(shell pkg-config --cflags conic)
 CONIC_LIBS := -lconic
+
+DBUS_LIBS := -ldbus-glib-1
 
 SCROBBLE_LIBS := $(SOUP_LIBS)
 
@@ -31,15 +34,20 @@
 libscrobble.a: scrobble.o
 libscrobble.a: override CFLAGS += $(GLIB_CFLAGS) $(SOUP_CFLAGS)
 
-maemo-scrobbler: main.o libscrobble.a
-maemo-scrobbler: override CFLAGS += $(GLIB_CFLAGS) $(GTHREAD_CFLAGS) $(MAFW_CFLAGS) $(CONIC_CFLAGS)
-maemo-scrobbler: override LIBS += $(GLIB_LIBS) $(GTHREAD_LIBS) $(MAFW_LIBS) $(CONIC_LIBS) $(SCROBBLE_LIBS)
-bins += maemo-scrobbler
+scrobbler: main.o libscrobble.a service.o
+scrobbler: override CFLAGS += $(GLIB_CFLAGS) $(GTHREAD_CFLAGS) $(MAFW_CFLAGS) $(CONIC_CFLAGS)
+scrobbler: override LIBS += $(GLIB_LIBS) $(GTHREAD_LIBS) $(MAFW_LIBS) $(CONIC_LIBS) $(SCROBBLE_LIBS) $(DBUS_LIBS)
+bins += scrobbler
 
 libcp-scrobbler.so: control_panel.o
 libcp-scrobbler.so: override CFLAGS += $(HILDON_CFLAGS)
 libcp-scrobbler.so: override LIBS += $(HILDON_LIBS)
 libs += libcp-scrobbler.so
+
+libhome-scrobbler.so: widget.o
+libhome-scrobbler.so: override CFLAGS += $(HILDON_CFLAGS)
+libhome-scrobbler.so: override LIBS += $(HILDON_LIBS) $(DBUS_LIBS) -lhildondesktop-1 -lcairo -lgdk-x11-2.0
+libs += libhome-scrobbler.so
 
 all: libscrobble.a $(bins) $(libs)
 
@@ -52,13 +60,23 @@
 QUIET_CLEAN = @echo '   CLEAN      '$@;
 endif
 
+service_glue.h: service.xml
+	dbus-binding-tool --prefix=sr_service --mode=glib-server $< > $@
+
+service.o: | service_glue.h
+
 install: $(bins) $(libs)
-	install -m 755 maemo-scrobbler -D $(D)/usr/bin/maemo-scrobbler
+	install -m 755 scrobbler -D $(D)/usr/bin/scrobbler
 	install -m 644 libcp-scrobbler.so -D \
 		$(D)/usr/lib/hildon-control-panel/libcp-scrobbler.so
-	install -m 644 maemo-scrobbler.desktop -D \
-		$(D)/usr/share/applications/hildon-control-panel/maemo-scrobbler.desktop
+	install -m 644 cp.desktop -D \
+		$(D)/usr/share/applications/hildon-control-panel/scrobbler.desktop
 	install -m 644 fm.png -D $(D)/usr/share/icons/hicolor/48x48/apps/fm.png
+	install -m 644 libhome-scrobbler.so -D \
+		$(D)/usr/lib/hildon-desktop/libhome-scrobbler.so
+	install -m 644 home.desktop -D \
+		$(D)/usr/share/applications/hildon-home/scrobbler.desktop
+	install -m 644 love.png -D $(D)/usr/share/scrobbler/love.png
 
 %.a::
 	$(QUIET_LINK)$(AR) rcs $@ $^

=== debian/changelog ===
maemo-scrobbler (2.0-4) fremantle; urgency=low

  * Don't save scrobbles of disabled accounts
  * Fix important crash on cache loading

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sat, 16 Oct 2010 23:14:20 +0300

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,10 @@
  BqYhcclFA2/BTBgmJG5zPjBP2XxGFjjjl1UFAPRgfwI94KBrV7Jhz064MmQKXiyHF+X0LXYPZZMC
  6RxfArv/6NuBD9HQ8aV4I0/iLtwPZDvg2xUG2UQQW/KcRCK1SGySYC4mHc7Ed+VIJBKJRCKRSCTy
  d/Ibp2MfJ2dFJIcAAAAASUVORK5CYII=
-XB-Maemo-Upgrade-Description: Add support to "love" tracks.
+XB-Maemo-Upgrade-Description: Support to "love" tracks.
+ Support for Now-Playing.
+ Support for proxy.
+ Network connectivity detection.
 
 
 Package: maemo-scrobbler-dbg
